<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%doc>
Template for the data input form.
Copyright (c) 2009 Jan Dittberner <jan@dittberner.info>

This file is part of DDPortfolio service.

DDPortfolio service is free software: you can redistribute it and/or
modify it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

DDPortfolio service is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with this program.  If not, see
<http://www.gnu.org/licenses/>.
</%doc>
<html>
  <head>
    <title>${_('Debian Developer Portfolio')}</title>
    ${h.stylesheet_link_tag('style')}
  </head>
  <body>
    ${h.start_form(h.url_for(action='urllist'), method='get')}
    <fieldset id="ddportfolio">
      <legend>${_('Debian Developer Portfolio')}</legend>
      <div id="emailfield">
        <label for="email">${_('Email address:')}
          % if 'email' in c.messages['errors']:
          <br />
          <span class="errormsg">${c.messages['errors']['email']}</span>
          % endif
        </label><br />
        ${h.text_field('email', value=request.params.get('email', None))}<br />
      </div>
      <div id="namefield">
        <label for="name">${_('Name:')}
          % if 'name' in c.messages['errors']:
          <br />
          <span class="errormsg">${c.messages['errors']['name']}</span>
          % endif
        </label><br />
        ${h.text_field('name', value=request.params.get('name', None))}<br />
      </div>
      <div id="gpgfpfield">
        <label for="gpgfp">${_('GPG fingerprint:')}
          % if 'gpgfp' in c.messages['errors']:
          <br />
          <span class="errormsg">${c.messages['errors']['gpgfp']}</span>
          % endif
        </label><br />
        ${h.text_field('gpgfp', value=request.params.get('gpgfp', None))}<br />
      </div>
      <div id="usernamefield">
        <label for="username">${_('Debian user name:')}
          % if 'username' in c.messages['errors']:
          <br />
          <span class="errormsg">${c.messages['errors']['username']}</span>
          % endif
        </label><br />
        ${h.text_field('username',
        value=request.params.get('username', None))}<br />
      </div>
      <div id="nonddemailfield">
        <label for="nonddemail">${_('Non DD email address:')}
          % if 'nonddemail' in c.messages['errors']:
          <br />
          <span class="errormsg">${c.messages['errors']['nonddemail']}</span>
          % endif
        </label><br />
        ${h.text_field('nonddemail',
        value=request.params.get('nonddemail', None))}<br />
      </div>
      <div id="aliothusernamefield">
        <label for="aliothusername">${_('Alioth user name:')}
          % if 'aliothusername' in c.messages['errors']:
          <br />
          <span
             class="errormsg">${c.messages['errors']['aliothusername']}</span>
          % endif
        </label><br />
        ${h.text_field('aliothusername',
        value=request.params.get('username', None))}<br />
      </div>
      <div id="modefield">
        <label for="mode_html">${_('Output format:')}
          % if 'mode' in c.messages['errors']:
          <br />
          <span class="errormsg">${c.messages['errors']['mode']}</span>
          % endif
        </label><br />
        ${_('HTML')}&#160;${h.radio_button('mode', 'html',
        checked=(request.params.get('mode',
        'html') == 'html'))}&#160;${_('JSON')}&#160;${h.radio_button('mode',
        'json', checked=(request.params.get('mode', 'html') == 'json'))}<br />
        ${h.submit(value=_('Build DD Portfolio URLs'))}
    </div>
  </fieldset>
  ${h.end_form()}
 </body>
</html>
