<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%doc>
Template for the url output page.
Copyright (c) 2009 Jan Dittberner <jan@dittberner.info>

This file is part of DDPortfolio service.

DDPortfolio service is free software: you can redistribute it and/or
modify it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

DDPortfolio service is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with this program.  If not, see
<http://www.gnu.org/licenses/>.
</%doc>
<html>
 <head>
  <title>${_('Debian Developer Portfolio')}</title>
  ${h.stylesheet_link_tag('style')}
 </head>
 <body>
   % if c.urldata:
   <fieldset id="ddportfolio">
     <legend>${_('Debian Developer Portfolio')}</legend>
     <table>
       <thead>
         <tr><th>${_('Usage')}</th><th>${_('URL')}</th></tr>
       </thead>
       <tbody>
         % for row in c.urldata:
         % if row[0] == 'section':
         <tr><th class="sectionlabel" colspan="2">${row[2]}</th></tr>
         % elif row[0] == 'error':
         <tr>
           <td>${h.textilize(row[4])}</td>
           <td>${_('Error during URL creation')}<br />
             <span class="errormsg">${row[3].replace("\n",
               '<br />')}</span></td>
         </tr>
         % else:
         <tr>
           <td>${h.textilize(row[4])}</td>
           <td>${h.link_to(h.truncate(row[3], length=120), row[3])}</td>
         </tr>
         % endif
         % endfor
       </tbody>
     </table>
   </fieldset>
   % endif
   <p>${h.link_to(_('Restart'), h.url_for(action='index'))}</p>
 </body>
</html>
